/* libiso8601/src/libiso8601/types.h
 *
 *  (c)2006, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv2. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



struct iso8601_date {
        int32_t nsec;
        int32_t day;
        int32_t sec; // special values: 86400 == leap second 23:59:60, 86401 == midnight 24:00:00
};

enum iso8601_date_prec {
        iso8601_prec_year,
        iso8601_prec_month,
        iso8601_prec_day,
        iso8601_prec_ord,
        iso8601_prec_week,
        iso8601_prec_wday
}date_prec;

enum iso8601_time_prec {
        iso8601_prec_none,
        iso8601_prec_hour,
        iso8601_prec_min,
        iso8601_prec_sec,
        iso8601_prec_hourfrac,
        iso8601_prec_minfrac,
        iso8601_prec_secfrac
}time_prec;

struct iso8601_details {
        uint8_t date_prec, time_prec, extended;
        int32_t tz_sec;
};



/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4
*/
